## org.springframework.orm.jpa
Interface EntityManagerPlus

All Superinterfaces:
  EntityManager, EntityManagerPlusOperations

    public interface EntityManagerPlus

extends EntityManager, EntityManagerPlusOperations

Extension of the standard JPA EntityManager interface, linking in Spring's EntityManagerPlusOperations interface which defines additional operations (beyond JPA 1.0) in a vendor-independent fashion.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `EntityManager`

Method Summary

Methods inherited from interface javax.persistence.EntityManager
`clear, close, contains, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, find, flush, getDelegate, getFlushMode, getReference, getTransaction, isOpen, joinTransaction, lock, merge, persist, refresh, remove, setFlushMode`